summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Jan Herrygers2010-05-11 20:01:50 +0200
committer Robby Workman2010-05-11 20:01:50 +0200
commit5aa38b23b83bf8bd7d886f6ec762b4a0a8cedae1 (patch)
treec0532b6538e3e9e3ec5fffdb620b61f8f0d23868 /office
parentfe6cff0fe4103393ee5833d714cde551aa4549c6 (diff)
downloadslackbuilds-5aa38b23b83bf8bd7d886f6ec762b4a0a8cedae1.tar.gz
office/openoffice.org-langpack: Added to 12.0 repository
Diffstat (limited to 'office')
-rw-r--r--office/openoffice.org-langpack/README22
-rw-r--r--office/openoffice.org-langpack/openoffice.org-langpack.SlackBuild81
-rw-r--r--office/openoffice.org-langpack/openoffice.org-langpack.info8
-rw-r--r--office/openoffice.org-langpack/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/office/openoffice.org-langpack/README b/office/openoffice.org-langpack/README
new file mode 100644
index 0000000000..fc828abba8
--- /dev/null
+++ b/office/openoffice.org-langpack/README
@@ -0,0 +1,22 @@
+OpenOffice.org is a full-featured open-source office suite that is compatible
+with all other major office software.
+It is available in many languages, either through localised installer packages,
+or through language packs.
+
+If you haven't installed OpenOffice.org yet, it is recommended you download a
+localised version of the installer. See the SlackBuild for openoffice.org for
+installing OpenOffice.org with local languages.
+If you already have installed OpenOffice.org, you can install a language pack
+using this SlackBuild. Note that you will need to get the correct language
+pack from the OpenOffice.org mirror - this script will build the 'nl' pack
+by default.
+
+This script builds a Slackware package from the official binary (RPM's)
+distributed by openoffice.org. It needs OpenOffice.org installed
+in /opt/openoffice.org2.2/. The version of OpenOffice.org and the language
+pack must be the same. You can find the latest version of OpenOffice.org and
+the language packs on http://openoffice.org, and a SlackBuild script for it
+here on SlackBuilds.org.
+
+After installing a language pack, you can activate it in the options dialog
+in Openoffice.org.
diff --git a/office/openoffice.org-langpack/openoffice.org-langpack.SlackBuild b/office/openoffice.org-langpack/openoffice.org-langpack.SlackBuild
new file mode 100644
index 0000000000..8de6a1f0fe
--- /dev/null
+++ b/office/openoffice.org-langpack/openoffice.org-langpack.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/bash
+#
+# Slackware build script of openoffice.org language pack (binary repackaging)
+
+# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Thanks to Sandman1, Larhzu, and MacIver for early assistance.
+# Thanks to Fred Emmott (http://slamd64.com) for some better code in a few
+# places and ideas to include the Optimization Solver and disable javaldx.
+# Thanks to eroc for the idea to include support for other languages.
+
+# Edited by Jan Herrygers to make it a Slackware build script of
+# openoffice.org language packs. 10 july 2007
+
+PRGNAM=openoffice.org-langpack
+VERSION=2.2.1
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# This should allow you to either pass a different value of OOLANG when you
+# run the script or change it in this script. Note that you will need to
+# have the correct tarball in the build directory for this to work...
+OOLANG=${OOLANG:-nl}
+PKG_LANG=$(echo $OOLANG | sed s/-/_/) # Leave this alone
+
+# Require the script to exit if any command fails
+set -e
+
+# Ignore this - it's just to get the toplevel directory name of the
+# extracted tarball archive
+SOURCEDIR=$(tar -tzf $CWD/OOo_${VERSION}_LinuxIntel_langpack_${OOLANG}.tar.gz | head -1 | tr -d \/)
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SOURCEDIR
+tar -xzf $CWD/OOo_${VERSION}_LinuxIntel_langpack_${OOLANG}.tar.gz || exit 1
+cd $SOURCEDIR/RPMS/
+for FILE in *.rpm ; do rpm2cpio < $FILE | cpio -imdv ; done
+mv opt $PKG
+cd $PKG
+
+# Move docs to their correct locations
+mkdir -p $PKG/usr/doc/$PRGNAM-${VERSION}_${PKG_LANG}
+for i in readmes licenses ; do
+ mv $PKG/opt/openoffice.org2.2/$i \
+ $PKG/usr/doc/$PRGNAM-${VERSION}_${PKG_LANG}/$i ;
+done
+cat $CWD/$PRGNAM.SlackBuild > \
+ $PKG/usr/doc/$PRGNAM-${VERSION}_${PKG_LANG}$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Fix ownership and permissions and make the package
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+chmod -R u+rw,go+r-w,a-s .
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$ARCH-$BUILD$TAG.tgz
diff --git a/office/openoffice.org-langpack/openoffice.org-langpack.info b/office/openoffice.org-langpack/openoffice.org-langpack.info
new file mode 100644
index 0000000000..a68b13d87f
--- /dev/null
+++ b/office/openoffice.org-langpack/openoffice.org-langpack.info
@@ -0,0 +1,8 @@
+PRGNAM="openoffice.org-langpack"
+VERSION="2.2.1"
+HOMEPAGE="http://openoffice.org"
+DOWNLOAD="http://openoffice.osuosl.org/localized/nl/2.2.1/OOo_2.2.1_LinuxIntel_langpack_nl.tar.gz"
+MD5SUM="2eeaa3147d6da95c0753be79f5467b20"
+MAINTAINER="Jan Herrygers"
+EMAIL="janherrygers@hotmail.com"
+APPROVED="rworkman"
diff --git a/office/openoffice.org-langpack/slack-desc b/office/openoffice.org-langpack/slack-desc
new file mode 100644
index 0000000000..ab618765bb
--- /dev/null
+++ b/office/openoffice.org-langpack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+openoffice.org-langpack: openoffice.org-langpack (language pack for OpenOffice Office Suite)
+openoffice.org-langpack:
+openoffice.org-langpack: OpenOffice.org is a full-featured open-source
+openoffice.org-langpack: office suite that is compatible with all other
+openoffice.org-langpack: major office software.
+openoffice.org-langpack:
+openoffice.org-langpack: This package installs menus and help documentation
+openoffice.org-langpack: for OpenOffice.org in a language different from en_US
+openoffice.org-langpack:
+openoffice.org-langpack: Homepage: projects.openoffice.org/native-lang.html
+openoffice.org-langpack: